Subject: [icnrg] FW: New Version Notification for draft-zhang-icnrg-icniot-architecture-00.txt

From: Ravi Ravindran <[email-masked]>
Date: Fri, 8 Jul 2016 14:49:38 +0000

Hi All,

This is a new version of our earlier draft https://tools.ietf.org/html/draft-zhang-icn-iot-architecture-00
which has been renamed.

We provide more details on icn-iot middleware functions in this new revision.

Regards,
Ravi

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Thursday, July 07, 2016 11:23 PM
To: Dipankar Raychadhuri; Sicari Sabrina; Yanyong Zhang; Ravi Ravindran; Satyajayant Misra; Hang Liu; Luigi Alfredo Grieco; G.Q. Wang
Subject: New Version Notification for draft-zhang-icnrg-icniot-architecture-00.txt

A new version of I-D, draft-zhang-icnrg-icniot-architecture-00.txt
has been successfully submitted by Ravi Ravindran and posted to the
IETF repository.

Name:		draft-zhang-icnrg-icniot-architecture
Revision:	00
Title:		ICN based Architecture for IoT
Document date:	2016-07-07
Group:		Individual Submission
Pages:		23
URL:            https://www.ietf.org/internet-drafts/draft-zhang-icnrg-icniot-architecture-00.txt
Status:         https://datatracker.ietf.org/doc/draft-zhang-icnrg-icniot-architecture/
Htmlized:       https://tools.ietf.org/html/draft-zhang-icnrg-icniot-architecture-00

Abstract:
   Internet of Things (IoT) promises to connect billions of objects to
   Internet.  Nowadays, the IoT landscape is very fragmented from both
   technological and service perspectives.  As a consequence, it is
   difficult to cross correlate data coming from heterogeneous contexts
   and build added value services on top of them.  For this reason, the
   current trend is to develop a unified de-fragmented IoT platform so
   that objects can be made accessible to applications across
   organizations and domains.  Towards this goal, quite a few proposals
   have been made to build a unified IoT platform as an overlay on top
   of today's Internet.  Such overlay solutions, however, inherit the
   same limitations of the IP protocol, in terms of mobility, security,
   scalability and communication reliability.  To address this problem,
   we propose a unified IoT platform based on the Information Centric
   Networking (ICN) architecture, which we call ICN-IoT [2].  ICN-IoT
   leverages the salient features of ICN, and thus provides seamless
   device-to-device (D2D) communication, mobility support, scalability,
   and efficient content and service delivery.  Furthermore, in order to
   guarantee the real diffusion of ICN-IoT architecture it is
   fundamental to deal with security and privacy requirements, since the
   system may handle sensitive information (e.g., user habits, devices
   location).  Note that ICN-IoT needs to manage the security
   requirements at the early stage of the design, representing all the
   involved entities and their relationships, in order to better
   understand their interactions and, consequently, apply the proper
   countermeasures to the possible security attacks (e.g., data
   violation, privacy violation, access attacks).

   This draft begins by motivating the need for an unified ICN-IoT
   platform to connect heterogenous IoT systems.  We then propose an
   ICN-IoT system architecture and middleware components which includes
   device/network-service discovery, naming service, IoT service
   discovery, data discovery, user registration, and content delivery.
   For all of these components, a secure solution is defined too.  We
   also provide discussions on inter-connecting heterogeneous ICN-IoT
   domains.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat